| Home | Libraries | People | FAQ | More

#### buffer (15 of 22 overloads)

Create a new non-modifiable buffer that represents the given POD array.

    template<
        typename PodType,
        std::size_t N>
    const_buffers_1 buffer(
        const boost::array< PodType, N > & data);

###### Return Value

A `const_buffers_1` value equivalent to:

    const_buffers_1(
        data.data(),
        data.size() * sizeof(PodType));